1

I have some web applications (java applets) which have trouble running with Java 7 and java 64 bit.

The tech support wants me to install Java 6 and disable Java 7, here are the instructions:

  1. Please download and install the Java update named "JavaForOSX2013-05.dmg" from Apple for better security. For OS X 10.7 and above: http://support.apple.com/kb/DL1572

  2. After that, please follow the instructions below to re-enable the Apple-provided Java SE 6 web plug-in and Web Start functionality: http://support.apple.com/kb/HT5559

Security-wise, is it safe to setup OS X this way?

  • 2
    What do you mean by "safe"? "Safe" as in "does it break anything", as in "does it open any security holes" or something else? – nohillside Nov 11 '13 at 12:27
  • 2
    @patrix : I mean from a security standpoint. I guess the tags are not enough to make it clear. – Coyote Nov 11 '13 at 19:38
  • I didn't look at the tags (hmm), thanks for the clarification. – nohillside Nov 11 '13 at 19:43
2

Nothing is safe in security terms, all that you can say is that there is a risk and try to quantify it.

For Java there are often exploits for Java applets and at some time Apple found that they and Oracle could not produce a fix quick enough to stop a well known exploit. Apple then put out a change to Safari to block all Java applets if the Java version was below a given version and this version limit is increased regularly.

The latest Apple-provided Java installer as of 17 Oct 2014 is Java for OS X 2014-001. It fixes the vulnerabilities listed here by providing a version of Java version 1.6.0_65.

Also see this answer

There will be vulnerabilities in that but Apple have so far decided none of those known to them are serious enough to block the use of this version or produce a new version.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .